Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.report.xls
Class ColumnInfo

    java.lang.Object
      jet.report.xls.ChartTypeInfo
          jet.report.xls.ColumnInfo

Direct Known Subclasses:
  Bar_LineInfo

    public class ColumnInfo

extends ChartTypeInfo

Contains the information of column chart type in the file. The class extends chartTypeInfo.

Field Summary
`static short` | `F100STACKED` Represents 100% Stacked Column Chart.
`static short` | `NORMAL` Represents Normal Column Chart.
`static short` | `STACKED` Represents Stacked Column Chart.

Fields inherited from class jet.report.xls.ChartTypeInfo
`AREA, BAR, BAR_AREA, BAR_LINE, BOPPOP, COLUMN, CONE, CYLINDER, DROPBAR, LINE, LINE_LINE, PIE, PYRAMID, RADAR, SCATTER, SHOWBUBBLESIZE, SHOWLABEL, SHOWLABPER, SHOWNONE, SHOWPERCENT, SHOWVALUE, STOCK, SURFACE`

Constructor Summary
`ColumnInfo(short dataLabel, boolean is3D, Info3D info3D, short style)` Constructs a ColumnInfo object with these parameters:

Method Summary
`int` | `getChartType()` Gets the type of the chart.
`short` | `getSpbBars()` Gets the space between columns.
`short` | `getSpbCats()` Gets the space between categories.
`short` | `getStyle()` Gets the style of the column chart.
`boolean` | `hasShadow()` Gets whether this bar has a shadow or not.
`void` | `setHasShadow(boolean b)` Sets whether this bar has a shadow or not.
`void` | `setSpbBars(short spbBars)` Sets the space between bars.
`void` | `setSpbCats(short spbCats)` Sets the space between categories.
`void` | `setStyle(short style)` Sets the style of the column chart.

Methods inherited from class jet.report.xls.ChartTypeInfo
`addSeries, getCatName, getCatNameRef, getDataLabel, getInfo3D, getIs3D, getSeries, getSeriesSize, insertSeries, removeSeries, replace, setCatName, setCatNameRef, setCatNameRef, setDataLabel, setInfo3D, setIs3D, setIsPercentDataLabel, setIsShowY2, setIsShowYAxis`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NORMAL

    public static final short NORMAL

  Represents Normal Column Chart.

  See Also:
    Constant Field Values

### STACKED

    public static final short STACKED

  Represents Stacked Column Chart.

  See Also:
    Constant Field Values

### F100STACKED

    public static final short F100STACKED

  Represents 100% Stacked Column Chart.

  See Also:
    Constant Field Values

Constructor Detail

### ColumnInfo

    public ColumnInfo(short dataLabel,
                      boolean is3D,
                      Info3D info3D,
                      short style)

  Constructs a ColumnInfo object with these parameters:

  Parameters:
    `dataLabel` - type of the data label, refer to `ChartTypeInfo.SHOWNONE`, `ChartTypeInfo.SHOWVALUE` and `ChartTypeInfo.SHOWLABEL`.
    `is3D` - true if the column chart is a 3D chart
    `info3D` - the 3d chart info
    `style` - style of bar, please see NORMAL, STACKED, F100STACKED.

Method Detail

### getChartType

    public int getChartType()

  Gets the type of the chart.

  Specified by:
    `getChartType` in class `ChartTypeInfo`
  Returns:
    type of the chart

### getSpbBars

    public short getSpbBars()

  Gets the space between columns.

  Returns:
    space between columns

### setSpbBars

    public void setSpbBars(short spbBars)

  Sets the space between bars.

  Parameters:
    `spbBars` - space between bars

### getSpbCats

    public short getSpbCats()

  Gets the space between categories.

  Returns:
    space between categories

### setSpbCats

    public void setSpbCats(short spbCats)

  Sets the space between categories.

  Parameters:
    `spbCats` - space between categories

### getStyle

    public short getStyle()

  Gets the style of the column chart. `NORMAL` `STACKED` `F100STACKED`

  Specified by:
    `getStyle` in class `ChartTypeInfo`
  Returns:
    style of the column chart

### setStyle

    public void setStyle(short style)

  Sets the style of the column chart. `NORMAL` `STACKED` `F100STACKED`

  Parameters:
    `style` - style of the column chart

### hasShadow

    public boolean hasShadow()

  Gets whether this bar has a shadow or not.

  Specified by:
    `hasShadow` in class `ChartTypeInfo`
  Returns:
    true if this bar has a shadow

### setHasShadow

    public void setHasShadow(boolean b)

  Sets whether this bar has a shadow or not. If the chart is 3D, it can not set shadow.

  Parameters:
    `b` - true specifies this bar has shadow

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD